Download it now!
Bug 51159 - daily gerrit status mail to the developer list
Summary: daily gerrit status mail to the developer list
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2012-06-16 14:42 UTC by Björn Michaelsen
Modified: 2015-12-15 12:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2012-06-16 14:42:05 UTC
It would be great to have a bot sending a daily mail to the developer list about the state of patches open for review on gerrit. See:
https://wiki.documentfoundation.org/Development/gerrit
for details. The more patches are received directly on gerrit the better it will be to have a good summary of what is waiting review there. In the long run this will keep us informed about what is waiting for review without spamming the list too much as we will get one mail daily and not one mail per patch.
Comment 1 DavidO 2012-06-19 15:02:21 UTC
Hi, 

I pushed the initial version of devtools/scripts/gerrit_daily_digest.py script.
It just read the gerrit patches and write a blank separated touple (current three attributes) from each patch.

[david@wizball scripts (master)]$ ./gerrit_daily_digest.py 
gerrit_daily_digest.py
    -g --gerrit (i. e. logerrit or gerrit.libreoffice.org, use alias in your ~/.ssh/config with your public key)
    -s --status (open, merged, abandoned)
    -p --project (i. e. core)
    -b --branch (i. e. master)
    -v --verbose
    -h --help
    Example: gerrit_daily_digest.py -g logerrit -s merged -p core -b master

and in action:

[david@wizball scripts (master)]$ pwd && ls -all gerrit_daily_digest.py 
/home/david/projects/libreoffice-core/git/devtools/scripts
-rwxrwxr-x 1 david david 1988 2012-06-19 23:51 gerrit_daily_digest.py
[david@wizball scripts (master)]$ ./gerrit_daily_digest.py -g logerrit -s open -p core -b master 
https://gerrit.libreoffice.org/222 "Rename the class ImplFontData into PhysicalFontFace" nthiebaud@gmail.com
[david@wizball scripts (master)]$ ./gerrit_daily_digest.py -g logerrit -s merged -p core -b master 
https://gerrit.libreoffice.org/179 "gbuild migration: pyuno module" david.ostrovsky@googlemail.com
https://gerrit.libreoffice.org/108 "make foo.all should work again" bjoern.michaelsen@canonical.com
https://gerrit.libreoffice.org/11 "fdo#45688: Split button for Calc cell font color" nthiebaud@gmail.com
https://gerrit.libreoffice.org/12 "make the comment visible on the configure side" nthiebaud@gmail.com
https://gerrit.libreoffice.org/10 "Translate German comments, fix some whitespace and bad translations" nthiebaud@gmail.com
https://gerrit.libreoffice.org/9 "don't crash when scrolling in input line, fdo#46975" nthiebaud@gmail.com
https://gerrit.libreoffice.org/8 "UnoApiTarget: add missing dependency" nthiebaud@gmail.com
https://gerrit.libreoffice.org/7 "Finish translating connectivity, fix some whitespace" nthiebaud@gmail.com
https://gerrit.libreoffice.org/6 "Translate German comments, fix some whitespace" nthiebaud@gmail.com
https://gerrit.libreoffice.org/4 "attempt fix of hang on base close, due to solarmutex deadlock on join" nthiebaud@gmail.com
https://gerrit.libreoffice.org/3 "Missed two chars" nthiebaud@gmail.com
https://gerrit.libreoffice.org/2 "Translate German comments" nthiebaud@gmail.com
https://gerrit.libreoffice.org/5 "basic: add missing forward declarations for helper functions" nthiebaud@gmail.com
https://gerrit.libreoffice.org/1 "call the gerrit commit-msg hook if present" nthiebaud@gmail.com

Regards
David
Comment 2 Björn Michaelsen 2012-07-05 14:29:57 UTC
closing as worksforme for now, we do send each change to the dev list for now. we might revisit later.
Comment 3 Björn Michaelsen 2013-06-06 12:17:02 UTC
We are going to use this now:
http://nabble.documentfoundation.org/minutes-of-ESC-call-td4056518.html
Comment 4 Robinson Tryon (qubit) 2015-12-15 12:10:50 UTC
Migrating Whiteboard tags to Keywords: ( EasyHack SkillScript DifficultyBeginner)
[NinjaEdit]